Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libgnutls30-3.8.5-1.1 RPM for x86_64

From OpenSuSE Tumbleweed for x86_64

Name: libgnutls30 Distribution: openSUSE Tumbleweed
Version: 3.8.5 Vendor: openSUSE
Release: 1.1 Build date: Fri Apr 5 09:28:14 2024
Group: System/Libraries Build host: reproducible
Size: 2174105 Source RPM: gnutls-3.8.5-1.1.src.rpm
Packager: https://bugs.opensuse.org
Url: https://www.gnutls.org/
Summary: The GNU Transport Layer Security Library
The GnuTLS library provides a secure layer over a reliable transport
layer. Currently the GnuTLS library implements the proposed standards
of the IETF's TLS working group.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Fri Apr 05 2024 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.8.5:
    * libgnutls: Due to majority of usages and implementations of
      RSA decryption with PKCS#1 v1.5 padding being incorrect,
      leaving them vulnerable to Marvin attack, the RSAES-PKCS1-v1_5
      is being deprecated (encryption and decryption) and will be
      disabled in the future. A new option 'allow-rsa-pkcs1-encrypt'
      has been added into the system-wide library configuration which
      allows to enable/disable the RSAES-PKCS1-v1_5. Currently, the
      RSAES-PKCS1-v1_5 is enabled by default.
    * libgnutls: Added support for RIPEMD160 and PBES1-DES-SHA1 for
      backward compatibility with GCR.
    * libgnutls: A couple of memory related issues have been fixed in
      RSA PKCS#1 v1.5 decryption error handling and deterministic ECDSA
      with earlier versions of GMP. These were a regression introduced
      in the 3.8.4 release. See #1535 and !1827.
    * build: Fixed a bug where building gnutls statically failed due
      to a duplicate definition of nettle_rsa_compute_root_tr().
    * API and ABI modifications:
    - GNUTLS_PKCS_PBES1_DES_SHA1: New enum member of
      gnutls_pkcs_encrypt_flags_t
    * Rebase patches:
    - gnutls-FIPS-TLS_KDF_selftest.patch
    - gnutls-FIPS-140-3-references.patch
* Wed Mar 20 2024 Pedro Monreal <pmonreal@suse.com>
  - jitterentropy: Release the memory of the entropy collector when
    using jitterentropy with phtreads as there is also a
    pre-intitization done in the main thread. [bsc#1221242]
    * Add gnutls-FIPS-jitterentropy-deinit-threads.patch
* Wed Mar 20 2024 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.8.4:
    * libgnutls: RSA-OAEP encryption scheme is now supported
      To use it with an unrestricted RSA private key, one would need to
      initialize a gnutls_x509_spki_t object with necessary parameters
      for RSA-OAEP and attach it to the private key. It is also possible
      to import restricted private keys if they are stored in PKCS#8
      format.
    * libgnutls: Fix side-channel in the deterministic ECDSA.
      Reported by George Pantelakis (#1516).
      [GNUTLS-SA-2023-12-04, CVSS: medium] [bsc#1221746, CVE-2024-28834]
    * libgnutls: Fixed a bug where certtool crashed when verifying a
      certificate chain with more than 16 certificates. Reported by
      William Woodruff (#1525) and yixiangzhike (#1527).
      [GNUTLS-SA-2024-01-23, CVSS: medium] [bsc#1221747, CVE-2024-28835]
    * libgnutls: Compression libraries are now loaded dynamically as needed
      instead of all being loaded during gnutls library initialization.
      As a result, the library initialization should be faster.
    * build: The gnutls library can now be linked with the static library
      of GMP.  Note that in order for this to work libgmp.a needs to be
      compiled with -fPIC and libhogweed in Nettle also has to be linked
      to the static library of GMP.  This can be used to prevent custom
      memory allocators from being overriden by other applications.
    * API and ABI modifications:
    - gnutls_x509_spki_get_rsa_oaep_params: New function.
    - gnutls_x509_spki_set_rsa_oaep_params: New function.
    - GNUTLS_PK_RSA_OAEP: New enum member of gnutls_pk_algorithm_t.
    * Rebase patches:
    - gnutls-FIPS-140-3-references.patch
    - gnutls-FIPS-HMAC-nettle-hogweed-gmp.patch
* Wed Feb 21 2024 Jan Engelhardt <jengelh@inai.de>
  - Remove some if..endif that do not affect any result
  - Split documentation (some 1100 files) to separate subpackage
* Wed Jan 17 2024 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.8.3:
    * libgnutls: Fix more timing side-channel inside RSA-PSK key
      exchange. [GNUTLS-SA-2024-01-14, CVSS: medium]
      [bsc#1218865, CVE-2024-0553]
    * libgnutls: Fix assertion failure when verifying a certificate
      chain with a cycle of cross signatures.
      [GNUTLS-SA-2024-01-09, CVSS: medium] [bsc#1218862, CVE-2024-0567]
    * libgnutls: Fix regression in handling Ed25519 keys stored in
      PKCS#11 token certtool was unable to handle Ed25519 keys
      generated on PKCS#11 with pkcs11-tool (OpenSC).
      This is a regression introduced in 3.8.2.
    * Rebase gnutls-FIPS-140-3-references.patch
    * Updated upstream gnutls.keyring
* Fri Nov 17 2023 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.8.2: [bsc#1217277, CVE-2023-5981]
    * libgnutls: Fix timing side-channel inside RSA-PSK key exchange.
      [GNUTLS-SA-2023-10-23, CVSS: medium] [CVE-2023-5981]
    * libgnutls: Add API functions to perform ECDH and DH key agreement
      The functionality has been there for a long time though they were
      not available as part of the public API.  This enables applications
      to implement custom protocols leveraging non-interactive key
      agreement with ECDH and DH.
    * libgnutls: Added support for AES-GCM-SIV ciphers (RFC 8452)
      The new algorithms GNUTLS_CIPHER_AES_128_SIV_GCM and
      GNUTLS_CIPHER_AES_256_SIV_GCM have been added to be used through
      the AEAD interface.  Note that, unlike
      GNUTLS_CIPHER_AES_{128,256}_SIV_GCM, the authentication tag is
      appended to the ciphertext, not prepended.
    * libgnutls: transparent KTLS support is extended to FreeBSD kernel
      The kernel TLS feature can now be enabled on FreeBSD as well as
      Linux when compiled with the --enable-ktls configure option.
    * gnutls-cli: New option --starttls-name
      Depending on deployment, application protocols such as XMPP may
      require a different origin address than the external address to be
      presented prior to STARTTLS negotiation.  The --starttls-name can
      be used to specify specify the addresses separately.
    * API and ABI modifications:
    - gnutls_pubkey_import_dh_raw: New function
    - gnutls_privkey_import_dh_raw: New function
    - gnutls_pubkey_export_dh_raw: New function
    - gnutls_privkey_export_dh_raw: New function
    - gnutls_x509_privkey_import_dh_raw: New function
    - gnutls_privkey_derive_secret: New function
    - GNUTLS_KEYGEN_DH: New enum member of gnutls_keygen_types_t
    - GNUTLS_CIPHER_AES_128_SIV_GCM: Added
    - GNUTLS_CIPHER_AES_256_SIV_GCM: Added
    * Rebase gnutls-FIPS-140-3-references.patch
    * Remove upstream: gnutls-GNUTLS_NO_EXTENSIONS-compatibility.patch
* Tue Aug 22 2023 Pedro Monreal <pmonreal@suse.com>
  - Fix missing GNUTLS_NO_EXTENSIONS compatibility.
    * Upstream: gitlab.com/gnutls/gnutls/commit/abfa8634
    * Add gnutls-GNUTLS_NO_EXTENSIONS-compatibility.patch
* Mon Aug 21 2023 Pedro Monreal <pmonreal@suse.com>
  - tests: Fix the SRP test that fails with SIGPIPE signal return due
    to a socket being closed before using it.
    * Add gnutls-srp-test-SIGPIPE.patch
* Mon Aug 07 2023 Pedro Monreal <pmonreal@suse.com>
  - Update to version 3.8.1:
    * libgnutls: ClientHello extensions are randomized by default
      To make fingerprinting harder, TLS extensions in ClientHello
      messages are shuffled. As this behavior may cause compatibility
      issue with legacy applications that do not accept the last
      extension without payload, the behavior can be reverted with the
      %NO_SHUFFLE_EXTENSIONS priority keyword.
    * libgnutls: Add support for RFC 9258 external PSK importer.
      This enables to deploy the same PSK across multiple TLS versions
      (TLS 1.2 and TLS 1.3) in a secure manner. To use, the application
      needs to set up a callback that formats the PSK identity using
      gnutls_psk_format_imported_identity().
    * libgnutls: %GNUTLS_NO_EXTENSIONS has been renamed to
      %GNUTLS_NO_DEFAULT_EXTENSIONS.
    * libgnutls: Add additional PBKDF limit checks in FIPS mode as
      defined in SP 800-132. Minimum salt length is 128 bits and
      minimum iterations bound is 1000 for PBKDF in FIPS mode.
    * libgnutls: Add a mechanism to control whether to enforce extended
      master secret (RFC 7627). FIPS 140-3 mandates the use of TLS
      session hash (extended master secret, EMS) in TLS 1.2. To enforce
      this, a new priority keyword %FORCE_SESSION_HASH is added and if
      it is set and EMS is not set, the peer aborts the connection. This
      behavior is the default in FIPS mode, though it can be overridden
      through the configuration file with the "tls-session-hash" option.
      In either case non-EMS PRF is reported as a non-approved operation
      through the FIPS service indicator.
    * New option --attime to specify current time.
      To make testing with different timestamp to the system easier, the
      tools doing certificate verification now provide a new option
    - -attime, which takes an arbitrary time.
    * API and ABI modifications:
      gnutls_psk_client_credentials_function3: New typedef
      gnutls_psk_server_credentials_function3: New typedef
      gnutls_psk_set_server_credentials_function3: New function
      gnutls_psk_set_client_credentials_function3: New function
      gnutls_psk_format_imported_identity: New function
      GNUTLS_PSK_KEY_EXT: New enum member of gnutls_psk_key_flags
    * Rebase patches:
    - gnutls-FIPS-140-3-references.patch
    - gnutls-FIPS-jitterentropy.patch
    * Remove patches merged/fixed upstream:
    - gnutls-FIPS-PCT-DH.patch
    - gnutls-FIPS-PCT-ECDH.patch
* Mon May 29 2023 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Fix baselibs.conf to mention libgnutls30-hmac [bsc#1211476]
    Extend also the checks in gnutls-FIPS-HMAC-nettle-hogweed-gmp.patch
* Wed May 24 2023 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Skip the fixed HMAC verification for nettle, hogweed and
    gmp libraries. These calculated HMACs change for every build of
    each of these packages, we only have to verify that for gnutls.
    * Add gnutls-FIPS-HMAC-nettle-hogweed-gmp.patch [bsc#1211476]
* Mon May 22 2023 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Merge libgnutls30-hmac package into the library [bsc#1185116]
* Mon May 15 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Disable GNULIB's year2038 also for 32-bit arm - boo#1211394
* Mon Apr 10 2023 Pedro Monreal <pmonreal@suse.com>
  - Temporarily disable GNULIB's year2038 support for 64bit time_t
    by using the --disable-year2038 flag. This omits support for
    timestamps past the year 2038:
    * Fixes the public API on 32-bit architectures avoiding to
      change the size of time_t as it cannot be changed without
      breaking the ABI compatibility.
    * Upstream issue: https://gitlab.com/gnutls/gnutls/-/issues/1466
* Tue Feb 21 2023 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.8.0: [bsc#1205763, bsc#1209627]
    * libgnutls: Fix a Bleichenbacher oracle in the TLS RSA key
      exchange. Reported by Hubert Kario (#1050). Fix developed by
      Alexander Sosedkin. [GNUTLS-SA-2020-07-14, CVSS: medium]
      [CVE-2023-0361]
    * libgnutls: C++ library is now header only. All definitions
      from gnutlsxx.c have been moved into gnutlsxx.h. Users of the
      C++ interface have two options:
      1. include gnutlsxx.h in their application and link against
      the C library. (default)
      2. include gnutlsxx.h in their application, compile with
      GNUTLS_GNUTLSXX_NO_HEADERONLY macro defined and link
      against the C++ library.
    * libgnutls: GNUTLS_NO_STATUS_REQUEST flag and %NO_STATUS_REQUEST
      priority modifier have been added to allow disabling of the
      status_request TLS extension in the client side.
    * libgnutls: TLS heartbeat is disabled by default.
      The heartbeat extension in TLS (RFC 6520) is not widely used
      given other implementations dropped support for it. To enable
      back support for it, supply --enable-heartbeat-support to
      configure script.
    * libgnutls: SRP authentication is now disabled by default.
      It is disabled because the SRP authentication in TLS is not
      up to date with the latest TLS standards and its ciphersuites
      are based on the CBC mode and SHA-1. To enable it back, supply
    - -enable-srp-authentication option to configure script.
    * libgnutls: All code has been indented using "indent -ppi1 -linux".
      CI/CD has been adjusted to catch regressions. This is implemented
      through devel/indent-gnutls, devel/indent-maybe and .gitlab-ci.yml’s
      commit-check. You may run devel/indent-gnutls to fix any
      indentation issues if you make code modifications.
    * guile: Guile-bindings removed. They have been extracted into a
      separate project to reduce complexity and to simplify maintenance,
      see <https://gitlab.com/gnutls/guile/>.
    * minitasn1: Upgraded to libtasn1 version 4.19.
    * API and ABI modifications:
      GNUTLS_NO_STATUS_REQUEST: New flag
      GNUTLS_SRTP_AEAD_AES_128_GCM: New gnutls_srtp_profile_t enum member
      GNUTLS_SRTP_AEAD_AES_256_GCM: New gnutls_srtp_profile_t enum member
    * Merge gnutls-FIPS-Set-error-state-when-jent-init-failed.patch
      and gnutls-FIPS-jitterentropy-threadsafe.patch into the main
      patch gnutls-FIPS-jitterentropy.patch
    * Rebase gnutls-FIPS-140-3-references.patch
    * Rebase patches with upstream version:
    - gnutls-FIPS-PCT-DH.patch gnutls-FIPS-PCT-ECDH.patch
    * Remove patches merged/fixed upstream:
    - gnutls-FIPS-disable-failing-tests.patch
    - gnutls-verify-library-HMAC.patch
    - gnutls_ECDSA_signing.patch
    - gnutls-Make-XTS-key-check-failure-not-fatal.patch
    - gnutls-FIPS-SLI-pbkdf2-verify-keylengths-only-SHA.patch
    * Update keyring with https://gnutls.org/gnutls-release-keyring.gpg
* Thu Feb 16 2023 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Make the jitterentropy calls thread-safe [bsc#1208146]
    * Add gnutls-FIPS-jitterentropy-threadsafe.patch
* Thu Feb 16 2023 Pedro Monreal <pmonreal@suse.com>
  - FIPS: GnuTLS DH/ECDH PCT public key regeneration [bsc#1207183]
    * Rebase patches with the version submitted upstream.
    * Avoid copying the key material: gnutls-FIPS-PCT-DH.patch
    * Improve logic around memory release: gnutls-FIPS-PCT-ECDH.patch
* Fri Feb 10 2023 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.7.9: [bsc#1208143, CVE-2023-0361]
    * libgnutls: Fix a Bleichenbacher oracle in the TLS RSA key
      exchange. [GNUTLS-SA-2020-07-14, CVSS: medium][CVE-2023-0361]
    * Rebase gnutls-FIPS-140-3-references.patch
* Fri Jan 20 2023 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Change all the 140-2 references to FIPS 140-3 in order to
    account for the new FIPS certification [bsc#1207346]
    * Add gnutls-FIPS-140-3-references.patch
* Mon Jan 16 2023 Pedro Monreal <pmonreal@suse.com>
  - FIPS: GnuTLS DH/ECDH PCT public key regeneration [bsc#1207183]
    * Add gnutls-FIPS-PCT-DH.patch gnutls-FIPS-PCT-ECDH.patch
* Mon Dec 12 2022 Dirk Müller <dmueller@suse.com>
  - switch to pkgconfig(zlib) so that alternative providers can be
    used
* Tue Nov 08 2022 Pedro Monreal <pmonreal@suse.com>
  - Verify only the libgnutls library HMAC [bsc#1199881]
    * Do not use the brp-50-generate-fips-hmac script as this
      is now calculated with the internal fipshmac tool.
    * Add gnutls-verify-library-HMAC.patch
* Wed Nov 02 2022 Pedro Monreal <pmonreal@suse.com>
  - Temporarily revert the jitterentropy patches in s390 and s390x
    architectures until a fix is provided [bsc#1204937]
  - Disable flaky test that fails in s390x architecture:
    * Add gnutls-disable-flaky-test-dtls-resume.patch
* Fri Oct 14 2022 Pedro Monreal <pmonreal@suse.com>
  - Consolidate the FIPS hmac files [bsc#1203245]
    * Use the gnutls fipshmac tool instead of the brp-check-suse
      and rename it to reflect on the library version.
    * Remove not needed gnutls-FIPS-Run-CFB8-without-offset.patch
  - Add a gnutls.rpmlintrc file to remove a hidden-file-or-dir false
    positive for the FIPS hmac calculation.
* Sun Oct 09 2022 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.7.8:
    * libgnutls: In FIPS140 mode, RSA signature verification is an
      approved operation if the key has modulus with known sizes
      (1024, 1280, 1536, and 1792 bits), in addition to any modulus
      sizes larger than 2048 bits, according to SP800-131A rev2.
    * libgnutls: gnutls_session_channel_binding performs additional
      checks when GNUTLS_CB_TLS_EXPORTER is requested. According to
      RFC9622 4.2, the "tls-exporter" channel binding is only usable
      when the handshake is bound to a unique master secret (i.e.,
      either TLS 1.3 or extended master secret extension is
      negotiated). Otherwise the function now returns error.
    * libgnutls: usage of the following functions, which are designed
      to loosen restrictions imposed by allowlisting mode of
      configuration, has been additionally restricted. Invoking
      them is now only allowed if system-wide TLS priority string
      has not been initialized yet:
    - gnutls_digest_set_secure
    - gnutls_sign_set_secure
    - gnutls_sign_set_secure_for_certs
    - gnutls_protocol_set_enabled
    * Delete gnutls-3.6.6-set_guile_site_dir.patch and use the
    - -with-guile-extension-dir configure option to properly
      handle the guile extension directory.
    * Rebase gnutls-Make-XTS-key-check-failure-not-fatal.patch
    * Update gnutls.keyring
    * Add a build depencency on gtk-doc required by autoreconf
* Fri Oct 07 2022 Otto Hollmann <otto.hollmann@suse.com>
  - FIPS: Set error state when jent init failed in FIPS mode [bsc#1202146]
    * Add patch gnutls-FIPS-Set-error-state-when-jent-init-failed.patch
* Tue Oct 04 2022 Otto Hollmann <otto.hollmann@suse.com>
  - FIPS: Make XTS key check failure not fatal [bsc#1203779]
    * Add gnutls-Make-XTS-key-check-failure-not-fatal.patch
* Wed Sep 14 2022 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Run the CFB8 cipher selftest without offset [bsc#1203245]
    * CFB8 list of ciphers: GNUTLS_CIPHER_AES_{128,192,256}_CFB8
    * Add gnutls-FIPS-Run-CFB8-without-offset.patch
* Tue Sep 13 2022 Andreas Stieger <andreas.stieger@gmx.de>
  - provide a libgnutls30-hmac-32bit to avoid uninstallable wine
    when pattern-base-fips is installed [boo#1203353]
* Tue Sep 06 2022 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Additional modifications to the SLI. [bsc#1190698]
    * Mark CMAC and GMAC and non-approved in gnutls_pbkfd2().
    * Mark HMAC keylength less than 112 bits as non-approved in
      gnutls_pbkfd2().
    * Adapt the pbkdf2 selftest and the regression tests accordingly.
    * Add gnutls-FIPS-SLI-pbkdf2-verify-keylengths-only-SHA.patch
* Mon Aug 08 2022 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Port GnuTLS to use jitterentropy [bsc#1202146, jsc#SLE-24941]
    * Add new dependency on jitterentropy
    * Add gnutls-FIPS-jitterentropy.patch
* Fri Jul 29 2022 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.7.7: [bsc#1202020, CVE-2022-2509]
    * libgnutls: Fixed double free during verification of pkcs7
      signatures. CVE-2022-2509
    * libgnutls: gnutls_hkdf_expand now only accepts LENGTH argument
      less than or equal to 255 times hash digest size, to comply with
      RFC 5869 2.3.
    * libgnutls: Length limit for TLS PSK usernames has been increased
      from 128 to 65535 characters
    * libgnutls: AES-GCM encryption function now limits plaintext
      length to 2^39-256 bits, according to SP800-38D 5.2.1.1.
    * libgnutls: New block cipher functions have been added to
      transparently handle padding. gnutls_cipher_encrypt3 and
      gnutls_cipher_decrypt3 can be used in combination of
      GNUTLS_CIPHER_PADDING_PKCS7 flag to automatically add/remove
      padding if the length of the original plaintext is not a multiple
      of the block size.
    * libgnutls: New function for manual FIPS self-testing.
    * API and ABI modifications:
    - gnutls_fips140_run_self_tests: New function
    - gnutls_cipher_encrypt3: New function
    - gnutls_cipher_decrypt3: New function
    - gnutls_cipher_padding_flags_t: New enum
    * guile: Guile 1.8 is no longer supported
    * guile: Session record port treats premature termination as EOF Previously,
      a 'gnutls-error' exception with the 'error/premature-termination' value
      would be thrown while reading from a session record port when the
      underlying session was terminated prematurely. This was inconvenient
      since users of the port may not be prepared to handle such an exception.
      Reading from the session record port now returns the end-of-file object
      instead of throwing an exception, just like it would for a proper
      session termination.
    * guile: Session record ports can have a 'close' procedure. The
      'session-record-port' procedure now takes an optional second parameter,
      and a new 'set-session-record-port-close!' procedure is provided to
      specify a 'close' procedure for a session record port. This 'close'
      procedure lets users specify cleanup operations for when the port is
      closed, such as closing the file descriptor or port that backs the
      underlying session.
    * Rebase patches:
    - gnutls-3.6.6-set_guile_site_dir.patch
    - gnutls-FIPS-TLS_KDF_selftest.patch
    - gnutls-FIPS-disable-failing-tests.patch
    * Remove patch merged upstream:
    - gnutls-FIPS-PBKDF2-KAT-requirements.patch
    - https://gitlab.com/gnutls/gnutls/merge_requests/1561
* Wed Jun 29 2022 Richard Costa <richard.costa@suse.com>
  - FIPS:
    * Add gnutls_ECDSA_signing.patch [bsc#1190698]
    - Check minimum keylength for symmetric key generation
    - Only allows ECDSA signature with valid set of hashes
      (SHA2 and SHA3)
* Fri May 27 2022 Antoine Belvire <antoine.belvire@opensuse.org>
  - Update to version 3.7.6:
    * libgnutls: Fixed invalid write when gnutls_realloc_zero() is
      called with new_size < old_size. This bug caused heap
      corruption when gnutls_realloc_zero() has been set as gmp
      reallocfunc.
    * Remove gnutls-3.7.5-fix-gnutls_realloc_zero.patch: Fixed
      upstream.
* Wed May 25 2022 Antoine Belvire <antoine.belvire@opensuse.org>
  - Add gnutls-3.7.5-fix-gnutls_realloc_zero.patch: Fix memory
    corruption in gnutls_realloc_zero (gl#gnutls/gnutls#1367,
    boo#1199929).
* Sat May 21 2022 Andreas Stieger <andreas.stieger@gmx.de>
  - update to 3.7.5:
    * add options disable session ticket usage in TLS 1.2 because
      it does not provide forward secrecy
    * For TLS 1.3 where session tickets do provide forward secrecy,
      the PFS priority string now only disables session tickets in
      TLS 1.2.
    * Future backward incompatibility: in the next major release of
      GnuTLS those flag and modifier are planned to be removed
    * gnutls-cli, gnutls-serv: Channel binding for printing
      information has been changed from tls-unique to tls-exporter
      as tls-unique is not supported in TLS 1.3.
    * Certificate sanity checks has been enhanced to make gnutls
      more RFC 5280 compliant:
    * Removed 3DES from FIPS approved algorithms
    * Optimized support for AES-SIV-CMAC algorithms
    * libgnutls: HKDF and AES-GCM algorithms are now approved in
      FIPS-140 mode when used in TLS
* Wed May 11 2022 Marcus Meissner <meissner@suse.com>
  - disable kcapi usage for now, as kernel-obs-build not adjusted
    to contain the algorithms. bsc#1189283
* Fri Mar 18 2022 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Additional PBKDF2 requirements for KAT [bsc#1184669]
    * The IG 10.3.A and SP800-132 require some minimum parameters for
      the salt length, password length and iteration count. These
      parameters should be also used in the KAT.
    * Add gnutls-FIPS-PBKDF2-KAT-requirements.patch
  - Enable to run the regression tests also in FIPS mode.
* Fri Mar 18 2022 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.7.4:
    * libgnutls: Added support for certificate compression as defined
      in RFC8879.
    * certtool: Added option --compress-cert that allows user to
      specify compression  methods for certificate compression.
    * libgnutls: GnuTLS can now be compiled with --enable-strict-x509
      configure option to enforce stricter certificate sanity checks
      that are compliant with RFC5280.
    * libgnutls: Removed IA5String type from DirectoryString within
      issuer and subject name to make DirectoryString RFC5280 compliant.
    * libgnutls: Added function to retrieve the name of current
      ciphersuite from session.
    * Bump libgnutlsxx soname due to ABI break
    * API and ABI modifications:
    - GNUTLS_COMP_BROTLI: New gnutls_compression_method_t enum member
    - GNUTLS_COMP_ZSTD: New gnutls_compression_method_t enum member
    - gnutls_compress_certificate_get_selected_method: Added
    - gnutls_compress_certificate_set_methods: Added
    * Update gnutls.keyring
* Sun Feb 27 2022 Dirk Müller <dmueller@suse.com>
  - build with lto
  - build with -Wl,-z,now -Wl,-z,relro
  - build without -fanalyzer, which cuts build time in ~ half
* Tue Jan 18 2022 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.7.3: [bsc#1190698, bsc#1190796]
    * libgnutls: The allowlisting configuration mode has been added
      to the system-wide settings. In this mode, all the algorithms
      are initially marked as insecure or disabled, while the
      applications can re-enable them either through the [overrides]
      section of the configuration file or the new API (#1172).
    * The build infrastructure no longer depends on GNU AutoGen for
      generating command-line option handling, template file parsing
      in certtool, and documentation generation (#773, #774). This
      change also removes run-time or bundled dependency on the
      libopts library, and requires Python 3.6 or later to regenerate
      the distribution tarball. Note that this brings in known backward
      incompatibility in command-line tools, such as long options are
      now case sensitive, while previously they were treated in a case
      insensitive manner: for example --RSA is no longer a valid option
      of certtool. The existing scripts using GnuTLS tools may need
      adjustment for this change.
    * libgnutls: The tpm2-tss-engine compatible private blobs can be loaded
      and used as a gnutls_privkey_t (#594). The code was originally written
      for the OpenConnect VPN project by David Woodhouse. To generate such
      blobs, use the tpm2tss-genkey tool from tpm2-tss-engine:
      https://github.com/tpm2-software/tpm2-tss-engine/#rsa-operations
      or the tpm2_encodeobject tool from unreleased tpm2-tools.
    * libgnutls: The library now transparently enables Linux KTLS (kernel
      TLS) when the feature is compiled in with --enable-ktls configuration
      option (#1113). If the KTLS initialization fails it automatically falls
      back to the user space implementation.
    * certtool: The certtool command can now read the Certificate Transparency
      (RFC 6962) SCT extension (#232).  New API functions are also provided to
      access and manipulate the extension values.
    * certtool: The certtool command can now generate, manipulate, and evaluate
      x25519 and x448 public keys, private keys, and certificates.
    * libgnutls: Disabling a hashing algorithm through "insecure-hash"
      configuration directive now also disables TLS ciphersuites that use it
      as a PRF algorithm.
    * libgnutls: PKCS#12 files are now created with modern algorithms by default
      (!1499). Previously certtool used PKCS12-3DES-SHA1 for key derivation and
      HMAC-SHA1 as an integity measure in PKCS#12.  Now it uses AES-128-CBC with
      PBKDF2 and SHA-256 for both key derivation and MAC algorithms, and the
      default PBKDF2 iteration count has been increased to 600000.
    * libgnutls: PKCS#12 keys derived using GOST algorithm now uses
      HMAC_GOSTR3411_2012_512 instead of HMAC_GOSTR3411_2012_256 for integrity,
      to conform with the latest TC-26 requirements (#1225).
    * libgnutls: The library now provides a means to report the status
      of approved cryptographic operations (!1465). To adhere to the
      FIPS140-3 IG 2.4.C., this complements the existing mechanism to
      prohibit the use of unapproved algorithms by making the library
      unusable state.
    * gnutls-cli: The gnutls-cli command now provides a --list-config
      option to print the library configuration (!1508).
    * libgnutls: Fixed possible race condition in
      gnutls_x509_trust_list_verify_crt2 when a single trust list object
      is shared among multiple threads (#1277). [GNUTLS-SA-2022-01-17,
      CVSS: low]
    * API and ABI modifications:
      GNUTLS_PRIVKEY_FLAG_RSA_PSS_FIXED_SALT_LENGTH: new flag in
      gnutls_privkey_flags_t
      GNUTLS_VERIFY_RSA_PSS_FIXED_SALT_LENGTH: new flag in
      gnutls_certificate_verify_flags
      gnutls_ecc_curve_set_enabled: Added.
      gnutls_sign_set_secure: Added.
      gnutls_sign_set_secure_for_certs: Added.
      gnutls_digest_set_secure: Added.
      gnutls_protocol_set_enabled: Added.
      gnutls_fips140_context_init: New function
      gnutls_fips140_context_deinit: New function
      gnutls_fips140_push_context: New function
      gnutls_fips140_pop_context: New function
      gnutls_fips140_get_operation_state: New function
      gnutls_fips140_operation_state_t: New enum
      gnutls_transport_is_ktls_enabled: New function
      gnutls_get_library_configuration: New function
    * Remove patches fixed in the update:
    - gnutls-FIPS-module-version.patch
    - gnutls-FIPS-service-indicator.patch
    - gnutls-FIPS-service-indicator-public-key.patch
    - gnutls-FIPS-service-indicator-symmetric-key.patch
    - gnutls-FIPS-RSA-PSS-flags.patch
    - gnutls-FIPS-RSA-mod-sizes.patch
* Tue Jan 18 2022 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Fix regression tests in fips and non-fips mode [bsc#1194468]
    * Add gnutls-FIPS-disable-failing-tests.patch
    * Remove patches:
    - gnutls-temporarily_disable_broken_guile_reauth_test.patch
    - disable-psk-file-test.patch
* Mon Jan 17 2022 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Provide module identifier and version [bsc#1190796]
    * Add configurable options to output the module name/identifier
      (--with-fips140-module-name) and the module version
      (--with-fips140-module-version).
    * Add the CLI option list-config that reports the configuration
      of the library.
    * Add gnutls-FIPS-module-version.patch
* Wed Dec 22 2021 Pedro Monreal <pmonreal@suse.com>
  - FIPS: Provide a service-level indicator [bsc#1190698]
    * Add support for a "service indicator" as required in
      the FIPS140-3 Implementation Guidance in section 2.4.C
    * Add patches:
    - gnutls-FIPS-service-indicator.patch
    - gnutls-FIPS-service-indicator-public-key.patch
    - gnutls-FIPS-service-indicator-symmetric-key.patch
    - gnutls-FIPS-RSA-PSS-flags.patch
* Thu Dec 16 2021 Pedro Monreal <pmonreal@suse.com>
  - FIPS: RSA KeyGen/SigGen fail with 4096 bit key sizes [bsc#1192008]
    * fips: allow more RSA modulus sizes
    * Add gnutls-FIPS-RSA-mod-sizes.patch
    * Delete gnutls-3.6.7-fips-rsa-4096.patch
* Fri Nov 26 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Drop bogus condition "> 1550": that would mean 'more recent than
    Tumbleweed' which is technically impossible, as Tumbleweed is the
    leading project (and the condition causes issues as Tumbleweed
    needs to move away from 1550 due to CODE 15 SP5 plans).
* Fri Oct 15 2021 Pedro Monreal <pmonreal@suse.com>
  - Add crypto-policies support for Leap and SLE 15.4 [jsc#SLE-20287]
  - Add DANE guards
* Wed Jul 21 2021 Pedro Monreal <pmonreal@suse.com>
  - Remove gnutls-temporarily_disable_broken_guile_reauth_test.patch
    since its already working.
* Tue Jun 01 2021 Ferdinand Thiessen <rpm@fthiessen.de>
  - Update to version 3.7.2
    * Added Linux kernel AF_ALG based acceleration
    * Fixed timing of early data exchange
    * The priority string option DISABLE_TLS13_COMPAT_MODE was added
      to disable TLS 1.3 middlebox compatibility mode
    * The GNUTLS_NO_EXPLICIT_INIT envvar has been renamed to
      GNUTLS_NO_IMPLICIT_INIT to reflect the purpose
    * certtool:
    * When signing a CSR, CRL distribution point (CDP) is no
      longer copied from the signing CA by default
    * When producing certificates and certificate requests, subject
      DN components that are provided individually will now be
      ordered by assumed scale
* Wed May 26 2021 Pedro Monreal <pmonreal@suse.com>
  - Rework the crypto-policies dependencies in libraries [bsc#1186385]
* Thu May 13 2021 Pedro Monreal <pmonreal@suse.com>
  - Compute the FIPS hmac file without re-defining the
    __os_install_post macro, use the brp-50-generate-fips-hmac
    script instead. [bsc#1184555]
* Thu Mar 18 2021 Pedro Monreal <pmonreal@suse.com>
  - Require the main package in devel and lib packages as the default
    priorities are now set via crypto-policies. [bsc#1183082]
* Fri Mar 12 2021 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.7.1:
      [bsc#1183456, CVE-2021-20232] [bsc#1183457, CVE-2021-20231]
    * Fixed potential use-after-free in sending "key_share" and
      "pre_shared_key" extensions.
    * Fixed a regression in handling duplicated certs in a chain.
    * Fixed sending of session ID in TLS 1.3 middlebox compatibility
      mode. In that mode the client shall always send a non-zero
      session ID to make the handshake resemble the TLS 1.2
      resumption; this was not true in the previous versions.
    * Removed dependency on the external 'fipscheck' package,
      when compiled with --enable-fips140-mode.
    * Added padlock acceleration for AES-192-CBC.
  - Remove patches upstream:
    * gnutls-gnutls-cli-debug.patch
    * gnutls-ignore-duplicate-certificates.patch
    * gnutls-test-fixes.patch
* Wed Feb 10 2021 Pedro Monreal <pmonreal@suse.com>
  - Fix the test suite for tests/gnutls-cli-debug.sh [bsc#1171565]
    * Don't unset system priority settings in gnutls-cli-debug.sh
    * Upstream: gitlab.com/gnutls/gnutls/merge_requests/1387
  - Add gnutls-gnutls-cli-debug.patch
* Wed Feb 10 2021 Pedro Monreal <pmonreal@suse.com>
  - Fix: Test certificates in tests/testpkcs11-certs have expired
    * Upstream bug: gitlab.com/gnutls/gnutls/issues/1135
  - Add gnutls-test-fixes.patch
* Mon Feb 08 2021 Pedro Monreal <pmonreal@suse.com>
  - gnutls_x509_trust_list_verify_crt2: ignore duplicate certificates
    * Upstream bug: https://gitlab.com/gnutls/gnutls/issues/1131
  - Add gnutls-ignore-duplicate-certificates.patch
* Wed Jan 27 2021 Pedro Monreal <pmonreal@suse.com>
  - Update to 3.7.0
    * Depend on nettle 3.6
    * Added a new API that provides a callback function to retrieve
      missing certificates from incomplete certificate chains
    * Added a new API that provides a callback function to output the
      complete path to the trusted root during certificate chain
    verification
    * OIDs exposed as gnutls_datum_t no longer account for the
      terminating null bytes, while the data field is null terminated.
      The affected API functions are: gnutls_ocsp_req_get_extension,
      gnutls_ocsp_resp_get_response, and gnutls_ocsp_resp_get_extension
    * Added a new set of API to enable QUIC implementation
    * The crypto implementation override APIs deprecated in 3.6.9 are
      now no-op
    * Added MAGMA/KUZNYECHIK CTR-ACPKM and CMAC support
    * Support for padlock has been fixed to make it work with Zhaoxin CPU
    * The maximum PIN length for PKCS #11 has been increased from 31
      bytes to 255 bytes
  - Remove patch fixed upstream:
    * gnutls-FIPS-use_2048_bit_prime_in_DH_selftest.patch
  - Add version guards for the crypto-policies package
  - Fix threading bug in libgnutls [bsc#1173434]
    * Upstream bug: gitlab.com/gnutls/gnutls/issues/1044

Files

/usr/lib64/.libgnutls.so.30.hmac
/usr/lib64/libgnutls.so.30
/usr/lib64/libgnutls.so.30.39.0
/usr/share/licenses/libgnutls30
/usr/share/licenses/libgnutls30/LICENSE


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Jun 18 23:33:37 2024